BUG #15583: PGDUMP windows binaries are out of date

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

BUG #15583: PGDUMP windows binaries are out of date

PG Doc comments form
The following bug has been logged on the website:

Bug reference:      15583
Logged by:          Michael Gilmore
Email address:      [hidden email]
PostgreSQL version: 11.1
Operating system:   windows 7
Description:        

I installed postgres 11.1 windows 64bit and then updated PGADMIN to 4.36 and
when i try to backup it says PGDUMP is 10.5 and server is 11 and the backup
fails.
I originally installed from the installer and so i downloaded the binaries
for postgress 11.1 and then took pgdump.exe from the zip, substituting my
old one and it still fails with the exact same error.
    pg_dump: server version: 11.1; pg_dump version: 10.5
    pg_dump: aborting because of server version mismatch
I have read advice online and they say i can downgrade my server or upgrade
pgdump however, i cant find pgdump 11.1 and before i downgrade i want to
backup my db.
I checked the FAQs and TODO and i dont see any mentions of this.